# Login Screen customisation

## This downloads the Prettier Login Screen from github.
## SRC:
wget https://raw.githubusercontent.com/TheEpicSnowWolf/Foundry-VTT-Prettier-Login-Screen/main/foundry_login.css

# Replace the BASE64 Data with the DND Logo
sed -i -e 's+url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAQAAAC1HAwCAAAAC0lEQVR42mNkYAAAAAYAAjCB0C8AAAAASUVORK5CYII=)+url("https://static.dnd.theepicsnowwolf.com/naoulan/foundry/dnd_logo.svg")+g' ./foundry_login.css

# Replace Red with James' Blue
sed -i -e 's+rgb(150, 12, 16)+rgb(0, 150, 136)+g' ./foundry_login.css
sed -i -e 's+rgb(228, 9, 19)+rgb(0, 188, 170)+g' ./foundry_login.css

# Make the Width responsive and add a sick blur effect
sed -i -e 's+width: 400px !important;+width: 90% !important;backdrop-filter: blur(7px) !important;+g' ./foundry_login.css

# Append to the Foundry Style.css
cat ./foundry_login.css >> /home/foundry/resources/app/public/css/style.css

# Note: this is how dockerized Foundry likes to handle the sed... or linux... whatever it's a note, don't read into it
#sed -i -e 's+A+B+g' ./foundry_login.css
